# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiNormalMapTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()
        
        self.addControl('input', label='输入')
        self.addControl('tangent', label='切线')
        self.addControl('normal', label='常规')
        self.addControl('order', label='顺序')
        self.addControl('invertX', label='倒置X')
        self.addControl('invertY', label='倒置Y')
        self.addControl('invertZ', label='倒置Z')
        self.addControl('colorToSigned', label='颜色标签')
        self.addControl('tangentSpace', label='切线空间')
        self.addControl('normalize', label='标准化')
        
        pm.mel.AEdependNodeTemplate(self.nodeName)
        
        self.addExtraControls()
        self.endScrollLayout()
